#!/bin/bash

darknet_tag=cpu-cv

# Download
docker pull daisukekobayashi/darknet:$darknet_tag

# Test
docker run --rm daisukekobayashi/darknet:$darknet_tag darknet || exit 1

printf "darknet.tag=%s\n" $darknet_tag >> ./local-deploy/config/application.properties || exit 1
printf "acceleration=CPU\n" >> ./local-deploy/config/application.properties || exit 1

echo "YOLO_cpu installation was successful."
