#!/bin/bash

# Download
docker pull ghcr.io/epicgames/unreal-engine:dev-4.27.2

# Test
docker run --rm --gpus=all ghcr.io/epicgames/unreal-engine:dev-4.27.2 bash || exit 1

printf "unreal=True\n" >> ./local-deploy/config/application.properties || exit 1

echo "Unreal Engine installation was successful."